Skip to content

Sign up for Skyfish Free

POST
/signup
curl --request POST \
--url https://api.colourbox.com/signup \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "email": "example", "password": "example", "locale": "da-DK" }'

Request the creation of a new Skyfish Free. A Skyfish Free gives access to 1 GB of storage and 10 users. Payment information is not needed, but is requested if the Skyfish Free is upgraded to a payed version of Skyfish. Upgrade is done via Skyfish.

References:

Media typeapplication/json
object
name
required

The full name of the user creating the new Skyfish

string
>= 5 characters
email
required

The user’s email address. It must have been verified before signing up.

string
password
required

A self chosen password of at least 8 characters, containing at least two of: a lowercase letter, an uppercase letter, a number and one of !@#$%^&*.

string
>= 8 characters
locale
required

RFC 5646 language tag

string

Example

da-DK

Information about newly created user

Media typeapplication/json
object
company
object
id
integer
href
string
user
object
id
integer
href
string

Example

{
"company": {
"id": 5454,
"href": "https://api.colourbox.com/company/5454"
},
"user": {
"id": 8989,
"href": "https://api.colourbox.com/user/8989"
}
}